{"openapi":"3.0.4","info":{"title":"Get portfolio","description":"Retrieve the definition of a particular portfolio.","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/api"}],"paths":{"/api/portfolios/{scope}/{code}":{"get":{"tags":["Portfolios"],"summary":"Get portfolio","description":"Retrieve the definition of a particular portfolio.","operationId":"GetPortfolio","parameters":[{"name":"scope","in":"path","description":"The scope of the portfolio.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"code","in":"path","description":"The code of the portfolio. Together with the scope this uniquely identifies the portfolio.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"effectiveAt","in":"query","description":"The effective datetime or cut label at which to retrieve the portfolio definition. Defaults to the current LUSID system datetime if not specified.","schema":{"type":"string","format":"dateorcutlabel"}},{"name":"asAt","in":"query","description":"The asAt datetime at which to retrieve the portfolio definition. Defaults to returning the latest version of the portfolio definition if not specified.","schema":{"type":"string","format":"date-time"},"x-nullable":true},{"name":"propertyKeys","in":"query","description":"A list of property keys from the 'Portfolio' domain to decorate onto the portfolio,\r\n            or from any domain that supports relationships to decorate onto related entities. These must take the format\r\n            {domain}/{scope}/{code}, for example 'Portfolio/Manager/Id'.","schema":{"type":"array","items":{"type":"string","description":"The key that uniquely identifies the property. It has the format {domain}/{scope}/{code}."}},"x-nullable":true},{"name":"relationshipDefinitionIds","in":"query","description":"A list of relationship definitions that are used to decorate related entities\r\n            onto the portfolio in the response. These must take the form {relationshipDefinitionScope}/{relationshipDefinitionCode}.","schema":{"type":"array","items":{"type":"string","description":"Identifiers of an entity"}},"x-nullable":true}],"responses":{"200":{"description":"The requested portfolio definition","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/Portfolio"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/Portfolio"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/Portfolio"}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Stable"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}